com.buschmais.jqassistant.plugin.java.api.model

## Enum VisibilityModifier

- java.lang.Object
- - java.lang.Enum<VisibilityModifier>
  - - com.buschmais.jqassistant.plugin.java.api.model.VisibilityModifier

- All Implemented Interfaces:
    Serializable, Comparable<VisibilityModifier>

      public enum VisibilityModifier
      extends Enum<VisibilityModifier>

  Enum of all access modifiers.
  Author:
    Herklotz

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DEFAULT` Modifier: default.
    `PRIVATE` Modifier: private.
    `PROTECTED` Modifier: protected.
    `PUBLIC` Modifier: public.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getValue()` Return the value to be stored.
    `static VisibilityModifier` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static VisibilityModifier[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PRIVATE

          public static final VisibilityModifier PRIVATE

      Modifier: private.

    - #### DEFAULT

          public static final VisibilityModifier DEFAULT

      Modifier: default.

    - #### PROTECTED

          public static final VisibilityModifier PROTECTED

      Modifier: protected.

    - #### PUBLIC

          public static final VisibilityModifier PUBLIC

      Modifier: public.

  - ### Method Detail

    - #### values

          public static VisibilityModifier[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (VisibilityModifier c : VisibilityModifier.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static VisibilityModifier valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getValue

          public String getValue()

      Return the value to be stored.
      Returns:
        The value.

Copyright © 2015 buschmais GbR. All rights reserved.